package ru.yandex.direct.web.entity.adgeneration.model.apply;

import java.util.List;

import javax.annotation.Nullable;

import ru.yandex.direct.web.entity.adgeneration.model.response.WebGenerateImageResult;

public class ApplyImagesGeneration {

    @Nullable
    private Long saveReqId;
    @Nullable
    private Long bannerId;
    @Nullable
    private Long adGroupId;
    @Nullable
    private Long campaignId;
    @Nullable
    private Boolean newCampaign;
    @Nullable
    private List<WebGenerateImageResult> generationResponses;
    @Nullable
    private List<String> savedImageUrls;
    @Nullable
    private List<String> clickedImageUrls;
    @Nullable
    private List<String> showedImageUrls;

    @Nullable
    public Long getSaveReqId() {
        return saveReqId;
    }

    @Nullable
    public Long getBannerId() {
        return bannerId;
    }

    @Nullable
    public Long getAdGroupId() {
        return adGroupId;
    }

    @Nullable
    public Long getCampaignId() {
        return campaignId;
    }

    @Nullable
    public Boolean getNewCampaign() {
        return newCampaign;
    }

    @Nullable
    public List<WebGenerateImageResult> getGenerationResponses() {
        return generationResponses;
    }

    @Nullable
    public List<String> getSavedImageUrls() {
        return savedImageUrls;
    }

    @Nullable
    public List<String> getShowedImageUrls() {
        return showedImageUrls;
    }

    @Nullable
    public List<String> getClickedImageUrls() {
        return clickedImageUrls;
    }
}
